Function
readIdentifier
Read characters from stream as long as characters are identifiers (alphanumeric, '-', and '_').
readIdentifier(TBuffer & buffer, RecordReader<TStream, TPass> & recordReader)
Include Headers
seqan/stream.h
Parameters

buffer | The buffer to write to Types: CharString, or similar
recordReader | The RecordReader to read from. Types: RecordReader

Remarks
This function stops *behind* the last letter read.
Return Values
0 if there was no error reading
non-zero value on errors, especially EOF_BEFORE_SUCCESS
Types: int, TokenizeResult
See Also
TokenizeResult, isalnum
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58